import { isSolanaLike as e, isTronLike as t, networkRegistry as n } from "../../constants/chains.constants.mjs";
//#region libs/shared/common/src/functions/utils/string.utils.ts
var r = (n, r) => {
	let i = `${n}-${r}`;
	return e(r) || t(r) ? i : i.toLowerCase();
}, i = (e, t, r = !1) => {
	let i = `${e}-${t}`;
	if (r) {
		let { hinkalAddress: e } = n[t].contractData;
		return `${i}-${e}`.toLowerCase();
	}
	return i.toLowerCase();
}, a = (e, t, n) => {
	if (!t || !n) throw Error("oldPart and newPart must be provided");
	return e.toLowerCase().split(t.toLowerCase()).join(n.toLowerCase());
};
//#endregion
export { i as getStateKey, r as getTokenStateKey, a as replaceAllInstances };
